# Git repositories configure Argo CD with (optional).
# This list is updated when configuring/removing repos from the UI/CLI
# Note: the last example in the list would use a repository credential template, configured under "argocd-repo-creds.yaml".
apiVersion: v1
kind: Secret
metadata:
  name: my-private-https-repo
  namespace: argocd
  labels:
    argocd.argoproj.io/secret-type: repository
stringData:
  url: {{git.url}}
  password: {{git.token}}
  username: {{git.user}}
  insecure: "false" # Ignore validity of server's TLS certificate. Defaults to "false"
  forceHttpBasicAuth: "false" # Skip auth method negotiation and force usage of HTTP basic auth. Defaults to "false"
  enableLfs: "false" # Enable git-lfs for this repository. Defaults to "false"